--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: []

full_name: SystemTimer::ConcurrentTimerPool
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add_timer
- !ruby/object:RI::MethodSummary 
  name: cancel
- !ruby/object:RI::MethodSummary 
  name: first_timer?
- !ruby/object:RI::MethodSummary 
  name: next_expired_timer
- !ruby/object:RI::MethodSummary 
  name: next_timer
- !ruby/object:RI::MethodSummary 
  name: next_trigger_interval_in_seconds
- !ruby/object:RI::MethodSummary 
  name: next_trigger_time
- !ruby/object:RI::MethodSummary 
  name: register_timer
- !ruby/object:RI::MethodSummary 
  name: registered_timers
- !ruby/object:RI::MethodSummary 
  name: trigger_next_expired_timer
- !ruby/object:RI::MethodSummary 
  name: trigger_next_expired_timer_at
name: ConcurrentTimerPool
superclass: Object
